> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all appointment reminders



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/appointment-reminders
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/appointment-reminders:
    get:
      tags:
        - AppointmentReminder
      summary: Get all appointment reminders
      operationId: appointmentReminder.index
      parameters:
        - name: search
          in: query
          description: The search query.
          schema:
            type:
              - string
              - 'null'
            maxLength: 255
        - name: per_page
          in: query
          description: The number of items per page.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
            maximum: 100
        - name: page
          in: query
          description: The page number.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
        - name: sort_by
          in: query
          description: The field to sort by.
          schema:
            type:
              - string
              - 'null'
            enum:
              - scheduled_for
              - sent_at
              - created_at
              - updated_at
        - name: sort_order
          in: query
          description: The sort direction (asc or desc).
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
        - name: type
          in: query
          description: Filter by reminder type.
          schema:
            type:
              - string
              - 'null'
            enum:
              - appointment
              - cancellation_follow_up
              - session_confirmation
              - reschedule_confirmation
        - name: status
          in: query
          description: Filter by send status.
          schema:
            type:
              - string
              - 'null'
            enum:
              - queued
              - sent
              - error
        - name: approval_status
          in: query
          description: Filter by approval status.
          schema:
            type:
              - string
              - 'null'
            enum:
              - pending
              - approved
              - rejected
        - name: channel
          in: query
          description: Filter by channel.
          schema:
            type:
              - string
              - 'null'
            maxLength: 255
        - name: from
          in: query
          description: Filter reminders whose appointment is scheduled from this date.
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: to
          in: query
          description: Filter reminders whose appointment is scheduled to this date.
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: Paginated set of `AppointmentReminderResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AppointmentReminderResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AppointmentReminderResource:
      type: object
      properties:
        id:
          type: integer
        appointment_id:
          type: integer
        tenant_id:
          type: integer
        type:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentReminderType'
        offset_days:
          type: integer
        scheduled_for:
          type: string
          format: date-time
        sent_at:
          type:
            - string
            - 'null'
          format: date-time
        channel:
          type: string
        message:
          type: string
        status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentReminderStatus'
        approval_status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentReminderApprovalStatus'
        approved_at:
          type:
            - string
            - 'null'
          format: date-time
        approved_by:
          type:
            - integer
            - 'null'
        metadata:
          type:
            - array
            - 'null'
          items: {}
        appointment:
          $ref: '#/components/schemas/RelatedAppointmentResource'
        approver:
          anyOf:
            - $ref: '#/components/schemas/RelatedUserResource'
            - type: 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - appointment_id
        - tenant_id
        - type
        - offset_days
        - scheduled_for
        - sent_at
        - channel
        - message
        - status
        - approval_status
        - approved_at
        - approved_by
        - metadata
        - created_at
        - updated_at
      title: AppointmentReminderResource
    AppointmentReminderType:
      type: string
      enum:
        - appointment
        - cancellation_follow_up
        - session_confirmation
        - reschedule_confirmation
      title: AppointmentReminderType
    AppointmentReminderStatus:
      type: string
      enum:
        - queued
        - sent
        - error
      title: AppointmentReminderStatus
    AppointmentReminderApprovalStatus:
      type: string
      enum:
        - pending
        - approved
        - rejected
      title: AppointmentReminderApprovalStatus
    RelatedAppointmentResource:
      type: object
      properties:
        id:
          type: integer
        code:
          type: string
        scheduled_at:
          type: string
          format: date-time
        status:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentStatus'
        relation_type:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AppointmentRelationType'
        parent_appointment_id:
          type:
            - integer
            - 'null'
        customer:
          anyOf:
            - $ref: '#/components/schemas/RelatedCustomerResource'
            - type: 'null'
        doctor:
          anyOf:
            - $ref: '#/components/schemas/RelatedUserResource'
            - type: 'null'
        treatments:
          type: array
          items:
            $ref: '#/components/schemas/RelatedTreatmentResource'
        parent_appointment:
          anyOf:
            - $ref: '#/components/schemas/RelatedAppointmentResource'
            - type: 'null'
      required:
        - id
        - code
        - scheduled_at
        - status
        - relation_type
        - parent_appointment_id
      title: RelatedAppointmentResource
    RelatedUserResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedUserResource
    AppointmentStatus:
      type: string
      enum:
        - pending
        - approved
        - cancelled
        - rejected
        - completed
        - no_show
      title: AppointmentStatus
    AppointmentRelationType:
      type: string
      enum:
        - parent
        - child
      title: AppointmentRelationType
    RelatedCustomerResource:
      type: object
      properties:
        id:
          type: integer
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        phone_number:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
      required:
        - id
        - first_name
        - last_name
        - phone_number
        - email
      title: RelatedCustomerResource
    RelatedTreatmentResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
      title: RelatedTreatmentResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````